Herqq

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# HDevicesSetupData Class Reference
Device Model

This class is used to specify information that can be used to validate UPnP devices. More...

`#include <HDevicesSetupData>`

List of all members.

## Public Member Functions
| HDevicesSetupData ()
| ~HDevicesSetupData ()
bool | contains (const HResourceType &deviceType) const
QSet< HResourceType > | deviceTypes () const
HDeviceSetup | get (const HResourceType &type) const
bool | isEmpty () const
int | size () const
bool | insert (const HDeviceSetup &newItem)
bool | remove (const HResourceType &type)

## Detailed Description

This class is used to specify information that can be used to validate UPnP devices.

Remarks:
  This class is not thread-safe.

See also:
  HDeviceSetup

## Constructor & Destructor Documentation

HDevicesSetupData | ( |  | ) |

Creates a new, empty instance.

See also:
  isEmpty()

~HDevicesSetupData | ( |  | ) |

Destroys the instance.

## Member Function Documentation

bool contains | ( | const HResourceType & | deviceType | ) | const

Indicates if the instance contains an item with the specified device type.

Parameters:

  deviceType | specifies the device type of the searched item.

Returns:
  true when the instance contains an item with the specified device type.

See also:
  get()

QSet< HResourceType > deviceTypes | ( |  | ) | const

Returns the device types of the contained items.

Returns:
  The device types of the contained items.

HDeviceSetup get | ( | const HResourceType & | type | ) | const

Retrieves an item.

Parameters:

  type | specifies the device type of the item.

Returns:
  The item with the specified device type. The returned item is invalid in case no item with the specified device type was found.

See also:
  contains()

bool isEmpty | ( |  | ) | const

Indicates if the object is empty.

Returns:
  true in case the instance has no items.

int size | ( |  | ) | const

Returns the number of contained items.

Returns:
  The number of contained items.

bool insert | ( | const HDeviceSetup & | newItem | ) |

Inserts a new item.

Parameters:

  newItem | specifies the item to be added.

Returns:
  true in case the item was added. The newItem will not be added if the instance already contains an item that has the same HDeviceSetup::deviceType() as the newItem or the newItem is invalid.

bool remove | ( | const HResourceType & | type | ) |

Removes an existing item.

Parameters:

  type | specifies the device type of the item to be removed.

Returns:
  true in case the item was found and removed.